<?php

namespace Drupal\bulk_comment_delete;

use Drupal\comment\Entity\Comment;

/**
 * Class BulkCommentDelete.
 */
class BulkCommentDelete {

  /**
   * Implement function for delete comments batch.
   */
  public static function bulkcommentdeletes($cids, &$context) {
    $message = 'Deleting Comment...';
    $results = [];
    foreach ($cids as $cid) {
      $comment = Comment::load($cid);
      $results[] = $comment->delete();
    }
    $context['message'] = $message;
    $context['results'] = $results;
  }

  /**
   * Batch Operation Callback.
   */
  public function bulkcommentdeletesFinishedCallback($success, $results, $operations) {
    // The 'success' parameter means no fatal PHP errors were detected. All
    // other error management should be handled using 'results'.
    if ($success) {
      $message = \Drupal::translation()->formatPlural(
        count($results), 'One post processed.', '@count posts processed.'
      );
    }
    else {
      $message = t('Finished with an error.');
    }
    drupal_set_message($message);
  }

}
